/**
 * @file Minify js string.
 * @memgerof moudle:apeman-util/lib/minify
 * @functino minifyJsString
 * @param {string} src - Source js string.
 * @param {function} callback - Callback when done.
 * @author Taka Okunishi
 */

"use strrict";

var ext = require('../ext'),
    UglifyJs = ext.uglifyJs;

/** @lends minifyJsString */
module.exports = function minifyJsString(src, callback) {
    try {
        var minified = UglifyJs.minify(src, {
            fromString: true
        });
        callback(null, minified.code);
    } catch (e) {
        callback(e);
    }
};